﻿.material-icon {
  font-family: 'Material Symbols Outlined';
  font-variation-settings: 'FILL' 0, 'wght' 400, 'GRAD' 0, 'opsz' 24;
  vertical-align: middle;
  display: inline-block;
}

.rz-header {
  background-color: var(--rz-base-200) !important;
  min-height: var(--rz-header-min-height);
  border-bottom: var(--rz-header-border);
  color: var(--rz-header-color);
  box-shadow: none !important;
}

.rz-sidebar-toggle {
  color: var(--rz-text-color) !important;
}

.rz-sidebar-toggle:hover {
  background: var(--rz-base-300) !important;
  color: var(--rz-text-color) !important;
  border-radius: 6px !important;
}

.rz-textbox {
  --rz-input-height: 28px !important;
  --rz-input-font-size: 12px !important;
  --rz-input-padding: 0.25rem 0.5rem !important;
}

.rz-dropdown {
  --rz-input-height: 30px !important;
  --rz-input-font-size: 12px !important;
  --rz-input-padding: 0.25rem 0.5rem !important;
}

.rz-datepicker {
  --rz-input-height: 30px !important;
  --rz-input-font-size: 12px !important;
  --rz-input-padding: 0.25rem 0.5rem !important;
}

.rz-numeric {
  --rz-input-height: 30px !important;
  --rz-input-font-size: 12px !important;
  --rz-input-padding: 0.25rem 0.5rem !important;
}

.rz-checkbox {
  --rz-input-height: 30px !important;
  --rz-input-font-size: 12px !important;
  --rz-input-padding: 0.25rem 0.5rem !important;
}

.rz-navigation-item {
  padding-top: 3px !important;
  padding-bottom: 3px !important;
  margin-top: 3px !important;
  margin-bottom: 3px !important;
}

.rz-navigation-item .rz-navigation-item-link,
.rz-navigation-item .rz-link {
  padding-top: 3px !important;
  padding-bottom: 3px !important;
  line-height: 1.1rem !important;
}

.rz-navigation-item-wrapper {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

.rz-navigation-item .rz-navigation-item-link {
  background-color: transparent !important;
}

.rz-navigation-item .rz-navigation-item-link.active[aria-current="page"] {
  background-color: var(--rz-panel-menu-item-active-background-color) !important;
}

.rz-navigation-item .rz-navigation-item-link.active[aria-current="page"] i,
.rz-navigation-item .rz-navigation-item-link.active[aria-current="page"] span {
  color: var(--rz-panel-menu-item-active-color) !important;
}

#components-reconnect-modal {
  display: none !important;
}

.components-reconnect-show, .components-reconnect-failed, .components-reconnect-rejected {
  display: none !important;
}

.compact-footer {
  height: 20px !important;
  min-height: 20px !important;
  max-height: 20px !important;
  padding: 0 8px !important;
  line-height: 20px !important;
  display: flex;
  align-items: center;
}

.compact-footer small {
  margin: 0 !important;
  padding: 0 !important;
  font-size: 11px;
  line-height: 20px;
}

/*.rz-dialog-mask {
    z-index: 2000 !important;
}
.rz-dialog-wrapper {
    z-index: 3000 !important;
}*/

